# Description

This mod adds the old bestiality content back into the game. If you use a game version that is older than the 17/2/2019 dev version, you won't need it.

# Downloads

Visit this thread at tfgames.site for the current image pack: https://tfgames.site/phpbb3/viewtopic.php?f=70&t=12251

You can also find a copy of version 1.0 of this mod, which is the same as the very first commit to this repo. Commits after that reflect my own changes, and possibly changes made by other contributors since this mod is not officially supported.

# Installation

If you haven't already, create a directory called "mod" (important that it is lower-case on Linux/case-sensitive file systems) in your GirlLife game directory. Put everything in the "mod" folder and activate the mod through the game menu. You have to input bestmod when asked for the name of the mod.

- QSP: mod/bestmod.qsp
- Images: mod/bestmod/images

# Building from source

## macOS/Linux

Just use the build.sh I stole from the main Girl Life source ;-)

## Windows

It looks like Windows users can also use the build.sh. No idea how you can, since I don't use Windows.

# Roadmap

Since this is my own fork of the original content, I have my own plans for the direction of this mod. Help and suggestions are welcome, but I have limited time and interests, and might not accept all submissions. You are welcome to make your own forks, per the original devs.

- Pregnancy (optional): PC will be able to become pregnant by her pet partners. I've experimented with such changes in the past, but the work might be pretty involved.
  - This content can be turned off (and is off by default), and the plan is to trigger it with a special event. (Involves some slight transformation, possibly hypnosis, possibly nc. No furry content).
  - Pregnancy term will be shorter than with a human. This might require a custom `femcyc.qsrc` to be developed for this mod.
  - Will be available whether or not you start off as magic school girl.
  - To address the issue of what kinds of babies the PC will have, pregnancy will always result in puppies if the child is male and human infants if the child is female. This might also require a custom `femcyc.qsrc`.
- Random encounters: PC can encounter four-legged friends in various locations as a random event and, given certain conditions are met, *ahem* "interact" with them.
  - If pregnancy is enabled, PC has a chance to become pregnant from these interactions.
  - This mod will expand the encounter the PC might have with a dog on the beach.
- Additional species (mammals only):
  - Time permitting, I will add random encounters/events for other creatures, such as the farm animals at the farm at the grandparent's house.
- Code cleanup, grammatical fixes, stories for new events!

# Content that will probably never be accepted

- Furry content: despite the plans for non-human pregnancy, PC will never become an anthro. Sorry, just not my thing. No other furry characters, either. This is just straightforward beast content, with a little artistic liberty sprinkled in.
- Scat/watersports content: no kink shaming, but it just won't be in this mod. Make your own if you really want this.
- Anything that would require large overhauls: I'm taking on the projects in the roadmap myself, so I accept the workload. But if something else would take me far too much time to implement, I might not do it. However, if you make your own fork and issue a pull request I might accept it if it doesn't contain the content listed above.

# Contributing

Contributions are welcome! This code is effectively free for anyone to work on, too, so you don't have to wait for me if I don't like your idea, go too slow, or fall off the face of the Earth!
